// -*- c++ -*-

/***************************************************************************
                          kpartedview.h  -  description
                             -------------------
    begin                : Fri Jul 13 17:32:54 BST 2001
    copyright            : (C) 2001 by Richard Moore
    email                : rich@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPARTEDVIEW_H
#define KPARTEDVIEW_H

#include <qwidget.h>
#include <parted/parted.h>

class NavView;
class DeviceView;

class QLabel;

/**
 * This class provides an incomplete base for your application view. 
 */
class KPartEdView : public QWidget
{
  Q_OBJECT

public:
    KPartEdView(QWidget *parent=0);
    ~KPartEdView();

public slots:
    void setTitle( const QString &title, const QString &subTitle );

private:
  static PedExceptionOption exHandler( PedException *ex );
  static QWidget *dlgParent;

private:
  QLabel *titleLabel;

  NavView *nav;
  DeviceView *dev;
};

#endif
